Public Member Functions | Public Attributes | List of all members
StarObjectNumericRulerInternal::State Struct Reference

Internal: the state of a StarObjectNumericRuler. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::map< librevenge::RVNGString, std::shared_ptr< STOFFList > > | m_nameToListMap
| a map list name to list
std::map< librevenge::RVNGString, std::shared_ptr< STOFFList > > | m_simplifyNameToListMap
| a map list simpl name to list

## Detailed Description

Internal: the state of a StarObjectNumericRuler.

## Constructor & Destructor Documentation

## ◆ State()

StarObjectNumericRulerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_nameToListMap

std::map<librevenge::RVNGString, std::shared_ptr<STOFFList> > StarObjectNumericRulerInternal::State::m_nameToListMap

a map list name to list

## ◆ m_simplifyNameToListMap

std::map<librevenge::RVNGString, std::shared_ptr<STOFFList> > StarObjectNumericRulerInternal::State::m_simplifyNameToListMap

a map list simpl name to list

The documentation for this struct was generated from the following file:

- StarObjectNumericRuler.cxx